# Class Parser

- Defined in core/parser/parser.js:14

#####
Index

### Constructors

constructor

### Properties

ast
astCompiler

### Methods

getAst
parse

##
Constructors

### constructor

- new Parser(lexer, $filter): Parser

- #### Parameters

  - lexer: Lexer
  - $filter: ((arg0: any) => any)
    - - (arg0): any

      - #### Parameters

        - arg0: any

        #### Returns any

  #### Returns Parser

  - Defined in core/parser/parser.js:20

##
Properties

### ast

ast: AST

- Defined in core/parser/parser.js:22

### astCompiler

astCompiler: ASTInterpreter

- Defined in core/parser/parser.js:25

##
Methods

### getAst

- getAst(exp): ParsedAST

- #### Parameters

  - exp: string

    Expression to be parsed

  #### Returns ParsedAST

  - Defined in core/parser/parser.js:46

### parse

- parse(exp): CompiledExpression

- #### Parameters

  - exp: string

    Expression to be parsed

  #### Returns CompiledExpression

  - Defined in core/parser/parser.js:33